%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define libdevel %mklibname -d %{name}
%define olddevel %mklibname -d %{name} 1

Summary:	Smartcard Terminal Tnterface
Name:		openct
Version:	0.6.20
Release:	5
License:	LGPLv2+
Group:		System/Servers
URL:		http://www.opensc.org
Source0:	http://www.opensc-project.org/files/openct/%{name}-%{version}.tar.gz
Patch0:		initscript-lsb.patch
BuildRequires:	pkgconfig(libpcsclite)
BuildRequires:	flex
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libltdl-devel
BuildRequires:	udev
Requires:	%{lib_name} = %{version}
Requires(pre):  rpm-helper
Requires(post): rpm-helper

%description
This is OpenCT, a middleware framework for smart card terminals.

%package	-n %{lib_name}
Group:		System/Libraries
Summary:	Library for accessing Smartcards
Provides:	libopenct = %{version}-%{release}

%description	-n %{lib_name}
These are the shared libraries for the smartcard terminal middleware
OpenCT.
If you want to compile applications using this library, you also need
the %{name}-devel package.

%package	-n %{libdevel}
Group:	Development/C
Summary:	Supplementary files for developing %{name} applications
Provides: 	libopenct-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description	-n %{libdevel}
Header files, static libraries, and documentation for %{name}.

%prep
%setup -q
%patch0 -p1
# fix lib64 std rpaths and other weirdness
sed -i -e 's|/lib /usr/lib\b|/%{_lib} %{_libdir}|' \
       -e 's|^usrsbindir=.*$|usrsbindir="%{_sbindir}"|' \
       -e 's|^usrlibdir=.*$|usrlibdir="%{_libdir}"|' configure 
sed -i -e 's|^\([A-Z]\)|# \1|' etc/reader.conf.in

%build
%configure2_5x \
    --enable-pcsc \
    --without-bundle \
    --localstatedir=%{_var}
%make

sed -i -e "s,^DRIVER=,DRIVERS=," etc/openct.udev

%check
make -k check

%install
%makeinstall_std 
#install -d %{buildroot}/%{_sysconfdir}/hotplug/usb
install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_var}/run/openct
cp %{_builddir}/%{name}-%{version}/%{_sysconfdir}/openct.conf %{buildroot}/%{_sysconfdir}

#perl -pi -e "s|#! /bin/sh|#! /bin/sh\n#\n# This shell script takes care of starting and stopping\n# openct server\n#\n# chkconfig: 345 39 50\n# description: Smartcard Terminal Tnterface|" %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script 
install -m755 %{_builddir}/%{name}-%{version}/%{_sysconfdir}/init-script %{buildroot}/%{_initrddir}/%{name}

install -d -m755 %{buildroot}%{_sysconfdir}/udev/rules.d
perl -pi -e 's!/etc/hotplug/usb/%{name}!%{name}!' etc/openct.udev
install -m 0644 etc/openct.udev %{buildroot}%{_sysconfdir}/udev/rules.d/70-%{name}.rules
#install -d -m755 %{buildroot}/%{_lib}/udev/
#install -m755 etc/hotplug.openct %{buildroot}/%{_lib}/udev/%{name}

# reference to home or tmp
rm -rf %{buildroot}/%{_libdir}/libifd.la

%preun 
%_preun_service openct

%post 
%_post_service openct

%files
%doc NEWS TODO LGPL-2.1
%doc doc/
%{_bindir}/*
%{_sbindir}/*
%{_var}/run/*
%{_mandir}/man1/*
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/openct.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/70-%{name}.rules

%files -n %{lib_name}
%doc TODO
%{_libdir}/*.so.%{lib_major}*

%files -n %{libdevel}
%doc TODO
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.6.20-5
+ Revision: 0f438d3
- MassBuild#440: Increase release tag


